<!DOCTYPE html>
<html lang="en">

<head>
  <%- include('./partials/head.ejs') %>
    <title>Main Feed</title>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    <script>
      $(document).ready(function () {
        var modals = ['#registSuccess', '#login'];
        if (window.location.hash && ~modals.indexOf(window.location.hash)) {
          $(window.location.hash).modal();
        }
      })
    </script>
</head>

<body>

  <%- include('./partials/sidebarNoLogin.ejs') %>

    <!-- Page content holder -->
    <div class="page-content pt-3 pl-1 pr-1" id="content">

      <div class="container">
        <div class="row justify-content-md-center">
          <div class="col-lg-8 pr-3">
            <div class="d-md-flex">
              <%- include('./partials/search.ejs') %>
                <div class="d-flex bd-highlight my-3">
                  <div class="mr-auto p-2 bd-highlight"><span style="font-weight: 700;"> Feeds</span></div>
                  <div class="p-2 bd-highlight mx-3">
                    <a href="http://">All</a>
                  </div>
                  <div class="p-2 bd-highlight mx-3">Newest</div>
                  <div class="p-2 bd-highlight ml-3">Popular</div>
                </div>

                <div class="row align-items-center">
                  <% post.forEach(data=> { %>
                    <div class="col-6">
                      <div class="card" style="min-height: 500px; margin-bottom: 35px;">
                        <img src="http://bloggie-backend.herokuapp.com/<%= data.imagePost %>" class="card-img-top"
                          alt="<%= data.title %>" width="100%" height="200px">

                        <!-- Edit & delete button -->
                        <!-- <div class="action">
                            <div class="edit-btn" onclick="menuToggle();">
                                <i class="fa fa-pen"></i>
                            </div>
                            <div class="menu">
                                <ul>
                                    <li><i class="fa fa-pen"></i><a href="http://"> Edit
                                            Post</a></li>
                                    <li><i class="fas fa-trash-alt"></i><a href="http://">
                                            Delete Post</a></li>
                                </ul>
                            </div>
                        </div> -->

                        <div class="card-body">
                          <div class="media d-flex mb-3">
                            <img loading="lazy" src="http://bloggie-backend.herokuapp.com/<%= data.User.imageProfile %>"
                              alt="<%= data.User.fullName %>" width="40" height="40"
                              class="mr-3 rounded-circle img-thumbnail shadow-sm">
                            <div class="media-body">
                              <h4 class="m-0">
                                <%= data.User.fullName %>
                              </h4>
                              <p class="font-weight-normal mb-0">@<%= data.User.username %>
                              </p>
                            </div>
                          </div>
                          <h5 class="card-title">
                            <%= data.title %>
                          </h5>
                          <p class="card-text">
                            <%= data.content %>
                          </p>
                          <a href="/post/<%= data.id %>" class="btn btn-primary">Read
                            more</a>
                          <i class="fas fa-heart mr-1 ml-5"></i>30
                          <i class="fas fa-comment-dots mr-1 ml-2"></i>28
                          <i class="fas fa-share mr-1 ml-2"></i>5
                        </div>
                      </div>
                    </div>
                    <% }) %>
                </div>



            </div>

            <nav class="col-lg-3 px-1">
              <!-- <img src="/public/img/user-solid.svg" alt="" width="60" height="60" class="ml-2 mr-2 rounded-circle img-thumbnail"> -->
              <div class="circle">
                <span><i class="fas fa-user"></i></span>
              </div>
              <a href="http://" class="btn btn-primary" data-toggle="modal" data-target="#login">Login</a>

              <!-- Modal Login -->
              <div class="modal fade" id="login" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>
                        <img src="/public/img/bloggie-1.png" alt="" width="260" height="77" class="">
                        <h4>Login to Bloggie</h4>
                        <div class="form-group">
                          <input type="email" class="form-control" placeholder="Email" id="exampleInputEmail1"
                            aria-describedby="emailHelp">

                        </div>
                        <div class="form-group">

                          <input type="password" class="form-control" placeholder="Password" id="exampleInputPassword1">
                          <a href="http://" style="font-size: 10px;" data-toggle="modal" data-target="#ModalForgotPass"
                            data-dismiss="modal">Fogot password?</a>

                        </div>

                        <button type="submit" class="btn btn-primary btn-login">Login</button>
                        <h6>Don't have an account? <a href="http://" data-toggle="modal" data-target="#ModalSignUp"
                            data-dismiss="modal">Sign Up</a></h6>




                      </form>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Modal Password Changed -->
              <div class="modal fade" id="modalPassChanged" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>
                        <span><i class="fas fa-check-circle"></i></span>
                        <h4>Password Changed</h4>
                        <h6>Your password has been changed successfully</h6>

                      </form>
                      <button type="submit" class="btn btn-primary btn-login" data-toggle="modal" data-target="#login"
                        data-dismiss="modal">Back to Login</button>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Modal Reset Password -->
              <div class="modal fade" id="modalResetPass" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>

                        <h4>Reset Password</h4>
                        <h6 style="text-align: left;">Please input a new password</h6>
                        <div class="form-group">
                          <input type="email" class="form-control" placeholder="New password" id="exampleInputEmail1"
                            aria-describedby="emailHelp">
                          <input type="email" class="form-control" placeholder="Confirm password"
                            id="exampleInputEmail1" aria-describedby="emailHelp">
                        </div>
                        <button type="submit" class="btn btn-primary btn-login" data-toggle="modal"
                          data-target="#modalPassChanged" data-dismiss="modal">Save Password</button>
                        <h6>Your password will be used to login and confirm transactions the website</h6>
                      </form>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Modal Email Sent -->
              <div class="modal fade" id="modalEmailSent" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>
                        <span><i class="fas fa-check-circle"></i></span>
                        <h4>Check Your Email</h4>
                        <h6>Please check your email address and click link to reset your password</h6>

                        <h6>Didn’t receive an email? <a href="http://" data-toggle="modal" data-target="#modalResetPass"
                            data-dismiss="modal">Resend</a></h6>
                      </form>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Modal Forgot Pass -->
              <div class="modal fade" id="ModalForgotPass" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>

                        <h4>Forgot Password?</h4>
                        <h6>Please enter your email address and we will send you instructions to reset your password
                        </h6>
                        <div class="form-group">
                          <input type="email" class="form-control" placeholder="Email" id="exampleInputEmail1"
                            aria-describedby="emailHelp">

                        </div>
                        <button type="submit" class="btn btn-primary btn-login" data-toggle="modal"
                          data-target="#modalEmailSent" data-dismiss="modal">Continue</button>
                        <h6>Back to <a href="http://">Login</a></h6>
                      </form>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Modal Login -->
              <div class="modal fade" id="login" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>
                        <img src="/public/img/bloggie-1.png" alt="" width="260" height="77" class="">
                        <h4>Login to Bloggie</h4>
                        <div class="form-group">
                          <input type="email" class="form-control" placeholder="Email" id="exampleInputEmail1"
                            aria-describedby="emailHelp">

                        </div>
                        <div class="form-group">

                          <input type="password" class="form-control" placeholder="Password" id="exampleInputPassword1">
                          <a href="http://" style="font-size: 10px;" data-toggle="modal" data-target="#ModalForgotPass"
                            data-dismiss="modal">Fogot password?</a>

                        </div>

                        <button type="submit" class="btn btn-primary btn-login">Login</button>
                        <h6>Don't have an account? <a href="http://" data-toggle="modal" data-target="#ModalSignUp"
                            data-dismiss="modal">Sign Up</a></h6>




                      </form>
                    </div>
                  </div>
                </div>
              </div>

              <a href="http://" class="btn btn-primary" data-toggle="modal" data-target="#ModalSignUp">Sign Up</a>

              <!-- Modal Login -->
              <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form action="/authIn" method="post">
                        <img src="/public/img/bloggie-1.png" alt="" width="277" height="60" class="mr-3">
                        <h4>Login to Bloggie</h4>
                        <div class="form-group">
                          <input type="email" class="form-control" placeholder="Email" name="email" id="email"
                            aria-describedby="emailHelp">

                        </div>
                        <div class="form-group">

                          <input type="password" class="form-control" placeholder="Password" name="password"
                            id="password">
                          <a href="http://" style="font-size: 10px;" data-toggle="modal" data-target="#ModalForgotPass"
                            data-dismiss="modal">Fogot password?</a>

                        </div>

                        <button type="submit" class="btn btn-primary btn-login">Login</button>
                        <h6>Don't have an account? <a href="http://" data-toggle="modal" data-target="#ModalSignUp"
                            data-dismiss="modal">Sign Up</a></h6>




                      </form>
                    </div>
                  </div>
                </div>
              </div>

              <!-- <a href="http://" class="btn btn-primary" data-toggle="modal" data-target="#ModalSignUp">Sign Up</a> -->

              <!-- Modal Regist Success -->
              <div class="modal fade" id="registSuccess" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">
                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form>
                        <span><i class="fas fa-check-circle"></i></span>
                        <h4>Account Registered</h4>
                        <h6>Your account has been registered successfully</h6>

                      </form>
                      <button type="submit" class="btn btn-primary btn-login" data-toggle="modal"
                        data-target="#exampleModal" data-dismiss="modal">Back to Login</button>
                    </div>
                  </div>
                </div>
              </div>

              <!-- Modal Sign Up -->
              <div class="modal fade" id="ModalSignUp" tabindex="-1" aria-labelledby="exampleModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered">
                  <div class="modal-content">
                    <div class="modal-header">

                      <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                      </button>
                    </div>
                    <div class="modal-body">
                      <form action="/" method="post">
                        <img src="/public/img/bloggie-1.png" alt="" width="277" height="60" class="mr-3">
                        <h4>Sign Up to Bloggie</h4>
                        <div class="form-group">

                          <input type="fullName" class="form-control" placeholder="Fullname" id="fullName"
                            name="fullName" aria-describedby="emailHelp">

                        </div>
                        <div class="form-group">

                          <input type="username" class="form-control" placeholder="@username" id="username"
                            name="username" aria-describedby="emailHelp">

                        </div>
                        <div class="form-group">

                          <input type="email" class="form-control" placeholder="Email" id="email" name="email"
                            aria-describedby="emailHelp">

                        </div>
                        <div class="form-group">

                          <input type="password" class="form-control" placeholder="Password" id="password"
                            name="password">

                        </div>
                        <!-- <div class="form-group">
                                
                                <input type="password" class="form-control" placeholder="Confirm Password" id="password" name="password" aria-describedby="emailHelp">
                                
                            </div> -->

                        <button type="submit" class="btn btn-primary btn-login"> Register</button>

                        <h6>Already have an account? <a href="http://" data-toggle="modal" data-target="#exampleModal"
                            data-dismiss="modal">Login</a></h6>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
              <div class="wrapper">
                <p style="font-weight: 700;font-size: 18px;">What You Cand Do Here</p>
                <table>
                  <tr>
                    <th><i class="fa fa-edit"></i></th>
                    <th>
                      <h6>Here you can create a microblog as post.</h6>
                    </th>
                  </tr>
                  <tr>
                    <th><i class="fa fa-link"></th>
                    <th>
                      <h6>Connect with people who you love to read their stories and interact with them through
                        appreciation or comment as well.</h6>
                    </th>
                  </tr>
                  <tr>
                    <th><i class="fa fa-search"></th>
                    <th>
                      <h6>You can find any reads in different categories without even move from one platform to another
                        platfom.</h6>
                    </th>
                  </tr>
                </table>
              </div>

              <div class="d-flex ml-4 mt-5">
                <a href="http://" style="font-size: 13px;" data-toggle="modal" data-target="#modalAbout">About</a>
                <i class="fa fa-circle mx-3 my-1 fa-fw"></i>
                <a href="http://" style="font-size: 13px;" data-toggle="modal" data-target="#modalHelp">Help</a>
                <i class="fa fa-circle mx-3 my-1 fa-fw"></i>
                <a href="http://" style="font-size: 13px;" data-toggle="modal" data-target="#modalTerm">Terms</a>
              </div>
              <%- include('./partials/about.ejs') %>
                <%- include('./partials/term.ejs') %>
                  <%- include('./partials/help.ejs') %>
            </nav>

          </div>




        </div>
      </div>
    </div>
    <!-- End demo content -->


    <%- include('./partials/script.ejs') %>
</body>

</html>